﻿Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Public Class Kunde
	Implements INotifyPropertyChanged

	Private _kundename As String = "unbenannt"
	Public Property KundeName() As String
		Get
			Return _kundename
		End Get
		Set(ByVal value As String)
			_kundename = value
			RaisePropertyChanged()
		End Set
	End Property

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
	Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
		RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
	End Sub
End Class

Public Class Auftrag
	Implements INotifyPropertyChanged

	Private _auftragsdatum As DateTime = DateTime.Now
	Public Property Auftragsdatum() As DateTime
		Get
			Return _auftragsdatum
		End Get
		Set(ByVal value As DateTime)
			_auftragsdatum = value
			RaisePropertyChanged()
		End Set
	End Property

	Private _auftragskunde As String
	Public Property AuftragsKunde() As String
		Get
			Return _auftragskunde
		End Get
		Set(ByVal value As String)
			_auftragskunde = value
			RaisePropertyChanged()
		End Set
	End Property

	Private _bruttopreis As Decimal = 0
	Public Property BruttoPreis() As Decimal
		Get
			Return _bruttopreis
		End Get
		Set(ByVal value As Decimal)
			_bruttopreis = value
			RaisePropertyChanged()
		End Set
	End Property

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
	Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
		RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
	End Sub
End Class